<?
// ------------------------------------------------------------------------- //
// PHP UPLOAD TO MY FTP 1.0                                                  //
// ------------------------------------------------------------------------- //
// Copyright (C) 2002 Matthias ETIENNE <matt@php-test.com>                   //
// ------------------------------------------------------------------------- //
//  http://matt.phptest.free.fr/php_upload_to_my_ftp                         //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //


/**
 * Fonction inscrivant les visiteurs dans un fichier log (logs/visitors) 
 */
function logVisiteur()
{
	global $HTTP_REFERER;
	global $REMOTE_ADDR;
	$time = date("\Le j/m/y  H:i", time()); 
   $fp = @fopen("logs/visiteurs", "a+");
	if($fp){
		if(empty($HTTP_REFERER)) $referer = "---  No Referer  ---";
		else $referer = $HTTP_REFERER;
		fputs($fp, "$time | $REMOTE_ADDR | $referer\n");
		fclose($fp);
	}
} // end func

/**
 * Fonction inscrivant les uploads dans un fichier log (logs/uploads) 
 */

function logUpload()
{
	global $REMOTE_ADDR;
	global $fichier_name;
   global $login;
	global $dossier_destination;
	
   if(empty($login)) $login_log="NO LOGIN";
	else $login_log = $login;

	$time = date("\Le j/m/y  H:i", time()); 
   $fp = @fopen("logs/uploads", "a+");
	if($fp){
		fputs($fp, "$time | $REMOTE_ADDR | $fichier_name | $login_log | $dossier_destination\r\n");
		fclose($fp);
	}
} 

/**
 * Fonction inscrivant les erreurs dans un fichier log (logs/errors) 
 */
function logError($error)
{
	global $REMOTE_ADDR;
	global $fichier_name;
   global $login;
	
   if(empty($login)) $login_log="NO LOGIN";
	else $login_log = $login;

	$time = date("\Le j/m/y  H:i", time()); 
   $fp = @fopen("logs/errors", "a+");
	if($fp){
		fputs($fp, "$time | Error: $error | $REMOTE_ADDR | $fichier_name | $login_log\r\n");
		fclose($fp);
	}
} // end func

/**
 * Fonction faisant un "retour" en html 
 */

function makeReturn()
{
	global $strReturn, $strCloseWindow;
echo "<center><a href='javascript:history.back()'>".$strReturn."</a> | <a href='javascript:window.close()'>".$strCloseWindow."</a></center>";
}

/**
 * Signature de l'application 
 */
function SignMTA()
{
	global $afficheLogo;
	if($afficheLogo==1) $strLogo = "<img src='img/powered2.gif' border='0'><br>";
	else $strLogo = "";
	
	echo "<p align='center'><a href='http://matt.phptest.free.fr/php_upload_to_my_ftp/'
   target='_blank'>".$strLogo."<font size='1'>Powered by<br>PHP Upload To my FTP</font></a></p>";
}

?>